SDL_GetWindowSafeArea(3)

NAME
SDL_GetWindowSafeArea - Get the safe area for this window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GetWindowSafeArea(SDL_Window *window, SDL_Rect *rect);

DESCRIPTION
Some devices have portions of the screen which are partially obscured or not interactive, possibly due to on-screen controls, curved edges, camera notches, TV overscan, etc. This function provides the area of the window which is safe to have interactable content. You should continue rendering into the rest of the window, but it should not contain visually important or interactible content.

FUNCTION PARAMETERS

window
    the window to query.

rect
    a pointer filled in with the client area that is safe for interactive content.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.